package cn.com.ty.lift.business.contract.dao.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import lombok.Data;

/**
 * 实体类 - 表：contracts
 * @author bieao
 * @since 2019-12-06 16:35:47
 */
@Data
public class Contracts implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 公司ID
     */
    private Long mtCompanyId;

    /**
     * 合同自定义编号
     */
    private String code;

    /**
     * 合同来源（1 : 商保新增 ；2 : 免保转签；3 : 续签；4 : 免保）
     */
    private Integer source;

    /**
     * 付款说明
     */
    private String payMode;

    /**
     * 台量
     */
    private Integer liftNum;

    /**
     * 金额
     */
    private BigDecimal moneys;

    /**
     * 合同类型（1 : 半包；2：大包；3：清包；4：全包；5：大修）
     */
    private Integer type;

    /**
     * 合同状态（1 未开始；2 执行中；3 已结束；4 款未结清）
     */
    private Integer status;

    /**
     * 签约时间
     */
    private Date givenDate;

    /**
     * 签约人
     */
    private String givenUser;

    /**
     * 开始时间
     */
    private Date starDate;

    /**
     * 结束时间
     */
    private Date endDate;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 签约合同编号
     */
    private Long nextId;

    /**
     * 合同附件
     */
    private String accessoryUrl;

    /**
     * 提前结束原因
     */
    private String endReason;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 上一个合同编号
     */
    private Long previousId;

    /**
     * 收款列表
     */
    private List<Payment> paymentList;
}