package cn.com.ty.lift.enterprise.oa.controller;

import cn.com.ty.lift.enterprise.common.CountPage;
import cn.com.ty.lift.enterprise.common.RestResult;
import cn.com.ty.lift.enterprise.oa.dto.AttendanceRequest;
import cn.com.ty.lift.enterprise.oa.dto.AttendanceResponse;
import cn.com.ty.lift.enterprise.oa.entity.Attendance;
import cn.com.ty.lift.enterprise.oa.service.AttendanceService;
import cn.com.xwy.boot.web.dto.RestResponse;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 打卡签到记录 前端控制器
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Slf4j
@RestController
@RequestMapping("/oa/attendance")
public class AttendanceController {
    @Autowired
    private AttendanceService attendanceService;

    /**
     * @description 根据id查找
     * @date 2019/12/6 9:44
     * @param
     * @return
     */
    @PostMapping("findOne")
    public RestResponse findOne(@RequestBody AttendanceRequest request) {
        Long id = request.getId();
        if(null == id || id <= 0){
            return RestResult.errParam();
        }
        Attendance entity = attendanceService.getById(id);
        if(null == entity){
            return RestResult.fail();
        }
        return RestResult.okData(entity);
    }

    /**
     * @description 根据条件查询
     * @date 2019/12/6 9:44
     * @param
     * @return
     */
    @PostMapping("list")
    public RestResponse list(@RequestBody AttendanceRequest request){
        String name = request.getUsername();
        if(StrUtil.isNotBlank(name)){
            request.setUsername(StrUtil.format("%{}%",name));
        }

        IPage<AttendanceResponse> pages = attendanceService.selectByCondition(request);
        if(null == pages){
            return RestResult.fail();
        }
        long count = attendanceService.count();
        CountPage<AttendanceResponse> countPage = new CountPage<>(count,pages);
        return RestResult.okData(countPage);
    }

}
