package cn.com.ty.lift.enterprise.region.dao.mapper;

import cn.com.ty.lift.enterprise.region.dao.entity.Region;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 区域表 Mapper 接口
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-09
 */
public interface RegionMapper extends BaseMapper<Region> {
    @Select("select city_code cityCode, province_code provinceCode from region where id = #{id}")
    List<Map<String, Object>> selectProjectRegions(@Param("id") Long id);

    @Select("select r.id, r.area_code areaCode, r.province_code provinceCode, r.city_code cityCode, r.area_name areaName, r.remark, u.name from region r left join user_info u on r.user_id = u.user_id where r.mt_company_id = ${mtCompanyId} limit ${pageNum},${pageSize}")
    List<Map<String, Object>> selectRegions(@Param("mtCompanyId") Long mtCompanyId, @Param("pageNum") Long pageNum, @Param("pageSize") Long pageSize);

    @Select("select region_id regionId,num from project")
    List<Map<String, Object>> selectProjects();

    @Select("select count(id) count from project where region_id= ${regionId}")
    Map<String, Object> selectProjectCount(@Param("regionId") Long regionId);

    @Select("select code,name from area_code")
    List<Map<String, Object>> selectAreaCodes();

    @Select("select user_id userId,name from user_info where user_id in (${clerks})")
    List<Map<String, Object>> selectRegionMember(@Param("clerks") String clerk);

}